import adapter from '@sveltejs/adapter-static';
import { vitePreprocess } from '@sveltejs/kit/vite';

const dev = process.argv.includes('dev');

/** @type {import('@sveltejs/kit').Config} */
const config = {
	kit: {
		adapter: adapter({
			// default options are shown. On some platforms
			// these options are set automatically — see below
			pages: 'public',
			assets: 'public',
			precompress: true,
			strict: true
		}),
		paths: {
			base: dev ? '' : '/rust-libs',
		}
	},
	preprocess: vitePreprocess()
};

export default config;
